### Method

# GIRepository UnionInfo get_discriminator_type

since: 2.80

#### Declaration

    GITypeInfo*
    gi_union_info_get_discriminator_type (
      GIUnionInfo* info
    )

#### Description

Obtain the type information of the union discriminator.

Available since: 2.80

#### Return value

Type: `GITypeInfo`

The `GITypeInfo`, or `NULL` if the union is not discriminated. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.